/*
Theme Name: OceanWP Child
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme development child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0.332
*/


::selection {
    color: #000;
    background: var(--e-global-color-secondary);
}

a:focus {
    outline: none !important;
}

/* Custom Menu Hover Effect */
.menu__list .elementor-nav-menu {
    --underline-width: 2px;
    --underline-offset-x: 0;

    /* Gold color */
    position: relative;
}

.menu__list .elementor-nav-menu::before {
    content: "";
    display: block;
    position: absolute;
    bottom: -5px;
    left: -15px;
    height: 3px;
    width: var(--underline-width);
    transform: translateX(var(--underline-offset-x));
    background-color: var(--e-global-color-secondary);
    transition: transform 0.3s ease, width 0.3s ease;
}


.sub-menu {
    margin-left: -15px !important;
    margin-top: 10px !important;
}





.step svg path {
    opacity: 0;
}

.step-img {
    opacity: 0;
}


.elementor-widget-off-canvas {
    --e-off-canvas-animation-duration: 300ms !important;
}

/* Force mobile menu content to scroll natively when taller than screen */
.e-off-canvas__content {
    max-height: 100vh !important;
    overflow-y: auto !important;
    -webkit-overflow-scrolling: touch;
    overscroll-behavior: contain;
}

/* Lenis Smooth Scroll Boilerplate */
html.lenis,
html.lenis body {
    height: auto;
}

.lenis.lenis-smooth {
    scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.lenis.lenis-smooth iframe {
    pointer-events: none;
}


.elementor-widget.elementor-widget-theme-post-content h1,
.elementor-widget.elementor-widget-theme-post-content h2,
.elementor-widget.elementor-widget-theme-post-content h3,
.elementor-widget.elementor-widget-theme-post-content h4,
.elementor-widget.elementor-widget-theme-post-content h5 {
    margin-top: 1.3em
}




h2.in-view {
    opacity: 1;
}


button.elementor-button.elementor-size-lg .elementor-button-icon {
    width: 0;
    position: static;
    transition: all 0.3s ease
}

button.elementor-button.elementor-size-lg:hover .elementor-button-icon {
    width: 15px;
    opacity: 1;
    transform: translate(0px, 0px) !important;
}
